For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v6.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
System

Health Check

GET
https://api.ziptax.com/system/health
GET
/system/health
$curl https://api.ziptax.com/system/health
200Retrieved
1{
2 "components": {
3 "key": {
4 "status": "healthy",
5 "message": "message"
6 }
7 },
8 "status": "healthy",
9 "timestamp": "2024-01-15T09:30:00Z",
10 "version": "version"
11}
Returns the health status of the API and its components
Was this page helpful?
Previous

Get System Metadata

Next
Built with

Response

OK
componentsmap from strings to objects
Component health statuses
statusenum
Overall system status
Allowed values:
timestampdatetime
Health check timestamp
versionstring
API version